ResourcePath = "Homeopatix/Caserne/Resources/";

Images = {
	MinimizedIcon = ResourcePath .. "Caserne.tga",
};


function CreateLocalizationInfo()
	Strings = {};

	if Turbine.Engine.GetLanguage() == Turbine.Language.German then
		Strings.PluginName = "Caserne";
		Strings.PluginText = "Caserne";
		Strings.PluginHerault1 = "Sch\195\188tze"; 
		Strings.PluginHerault2 = "Hofenungsherold"; 
		Strings.PluginHerault3 = "Siegesherold"; 
		Strings.PluginHerault4 = "Kriegsherold"; 
		Strings.PluginReleaseButton = "Herold freilassen";
		Strings.PluginReleaseAlias = "/begleiter freilassen";
		Strings.PluginHelp = " *** Caserne Hilfe ***\n\n/show Zeigen Caserne an\n/hide Verstecke Caserne\n/Clear l\195\182scht alle Verkn\195\188pfungen\n\nSie k\195\182nnen Ihre Kameraden per Drag & Drop an eine beliebige Stelle ziehen und mit dem Mausrad l\195\182schen";

elseif Turbine.Engine.GetLanguage() == Turbine.Language.French then
		Strings.PluginName = "Caserne";
		Strings.PluginText = "Caserne";
		Strings.PluginHerault1 = "Archer"; 
		Strings.PluginHerault2 = "H\195\169raut d'espoir"; 
		Strings.PluginHerault3 = "H\195\169raut de victoire"; 
		Strings.PluginHerault4 = "H\195\169raut de guerre"; 
		Strings.PluginReleaseButton = "Lib\195\169rer H\195\169raut";
		Strings.PluginReleaseAlias = "/Fam librer";
		Strings.PluginHelp = " *** Caserne Aide ***\n\n/show affiche Caserne\n/hide cache Caserne\n/Clear efface tous les raccourcis\n\nVous pouvez faire glisser et d\195\169poser vos compagnon d'armes ou vous voulez et les effacer avec la molette de la souris";

elseif Turbine.Engine.GetLanguage() == Turbine.Language.English then
		Strings.PluginName = "Caserne";
		Strings.PluginText = "Caserne";
		Strings.PluginHerault1 = "Archer"; 
		Strings.PluginHerault2 = "Herald of Hope"; 
		Strings.PluginHerault3 = "Herald of Victory"; 
		Strings.PluginHerault4 = "Herald of War"; 
		Strings.PluginReleaseButton = "Release Herald";
		Strings.PluginReleaseAlias = "/Pet release";
		Strings.PluginHelp = " *** Caserne Help ***\n\n/show Display Caserne\n/hide Hide Caserne\n/Clear clears all the shortcuts\n\nYou can drag and drop your comrades anywhere you want and delete them with the mouse wheel";
	end
end