------------------------------------------------------------------------------------------
-- create the main window
------------------------------------------------------------------------------------------
function CreateTheWindow()
	CaserneWindow=Turbine.UI.Lotro.GoldWindow(); 
	CaserneWindow:SetSize(210,130); 
	CaserneWindow:SetText(Strings.PluginName); 
	CaserneWindow.Message=Turbine.UI.Label(); 
	CaserneWindow.Message:SetParent(CaserneWindow); 
	CaserneWindow.Message:SetSize(150,15); 
	CaserneWindow.Message:SetPosition(CaserneWindow:GetWidth()/2 - 75, CaserneWindow:GetHeight()/2 + 20); 
	CaserneWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	CaserneWindow.Message:SetText(Strings.PluginText); 
	CaserneWindow:SetWantsKeyEvents(true);

	CaserneWindow:SetPosition(settings.positionX, settings.positionY);

	------------------------------------------------------------------------------------------
	-- caserne center window
	------------------------------------------------------------------------------------------
	centerWindow = Turbine.UI.Extensions.SimpleWindow();
	centerWindow:SetSize( 36 , 36 );
	centerWindow:SetParent( CaserneWindow );
	centerWindow:SetPosition( 31 ,CaserneWindow:GetHeight()/2 - 25);
	centerWindow:SetVisible( true );
	centerWindow:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerWindow2 = Turbine.UI.Extensions.SimpleWindow();
	centerWindow2:SetSize( 36 , 36 );
	centerWindow2:SetParent( CaserneWindow );
	centerWindow2:SetPosition( 69 ,CaserneWindow:GetHeight()/2 - 25);
	centerWindow2:SetVisible( true );
	centerWindow2:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerWindow3 = Turbine.UI.Extensions.SimpleWindow();
	centerWindow3:SetSize( 36 , 36 );
	centerWindow3:SetParent( CaserneWindow );
	centerWindow3:SetPosition( 107,CaserneWindow:GetHeight()/2 - 25);
	centerWindow3:SetVisible( true );
	centerWindow3:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerWindow4 = Turbine.UI.Extensions.SimpleWindow();
	centerWindow4:SetSize( 36 , 36 );
	centerWindow4:SetParent( CaserneWindow );
	centerWindow4:SetPosition( 145,CaserneWindow:GetHeight()/2 - 25);
	centerWindow4:SetVisible( true );
	centerWindow4:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 36, 36  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow2);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 36, 36  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow3);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 36, 36  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow4);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 36, 36  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerQS1 = Turbine.UI.Lotro.Quickslot();
	centerQS1:SetParent( centerWindow );
	centerQS1:SetPosition( 0, 0 );
	centerQS1:SetSize( 35, 35 );
	centerQS1:SetUseOnRightClick(false);

	centerQS2 = Turbine.UI.Lotro.Quickslot();
	centerQS2:SetParent( centerWindow2 );
	centerQS2:SetPosition( 0, 0 );
	centerQS2:SetSize( 35, 35 );
	centerQS2:SetUseOnRightClick(false);

	centerQS3 = Turbine.UI.Lotro.Quickslot();
	centerQS3:SetParent( centerWindow3 );
	centerQS3:SetPosition( 0, 0 );
	centerQS3:SetSize( 35, 35 );
	centerQS3:SetUseOnRightClick(false);

	centerQS4 = Turbine.UI.Lotro.Quickslot();
	centerQS4:SetParent( centerWindow4 );
	centerQS4:SetPosition( 0, 0 );
	centerQS4:SetSize( 35, 35 );
	centerQS4:SetUseOnRightClick(false);

	------------------------------------------------------------------------------------------
	-- releae pet button
	------------------------------------------------------------------------------------------
	CaserneButton = Turbine.UI.Lotro.Button();
	CaserneButton:SetParent( CaserneWindow );
	CaserneButton:SetPosition(CaserneWindow:GetWidth()/2 - 75, CaserneWindow:GetHeight()/2 + 35);
	CaserneButton:SetSize( 150, 20 );
	CaserneButton:SetText( Strings.PluginReleaseButton );
	CaserneButton:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	CaserneButton:SetVisible(true);
	CaserneButton:SetMouseVisible(true);

	releaseWindow = Turbine.UI.Extensions.SimpleWindow();
	releaseWindow:SetSize( 150, 20 );
	releaseWindow:SetParent( CaserneWindow );
	releaseWindow:SetPosition(CaserneWindow:GetWidth()/2 - 75, CaserneWindow:GetHeight()/2 + 35);
	releaseWindow:SetOpacity( 0 );
	releaseWindow:SetFadeSpeed( 0.5 );
	releaseWindow:SetVisible( true );
	releaseWindow:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	releaseQSBack = Turbine.UI.Control();
	releaseQSBack:SetParent( releaseWindow );
	releaseQSBack:SetZOrder(-1);
	releaseQSBack:SetSize( 150, 20 );

	releaseQS = Turbine.UI.Lotro.Quickslot();
	releaseQS:SetParent(  releaseQSBack );
	releaseQS:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias, Strings.PluginReleaseAlias));
	releaseQS:SetSize( 150, 20 );
	releaseQS:SetPosition( 0, 0 );
	releaseQS:SetAllowDrop(false);

	releaseQS = Turbine.UI.Lotro.Quickslot();
	releaseQS:SetParent(  releaseQSBack );
	releaseQS:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias, Strings.PluginReleaseAlias));
	releaseQS:SetSize( 150, 20 );
	releaseQS:SetPosition( 32, 0 );
	releaseQS:SetAllowDrop(false);

	releaseQS = Turbine.UI.Lotro.Quickslot();
	releaseQS:SetParent(  releaseQSBack );
	releaseQS:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias, Strings.PluginReleaseAlias));
	releaseQS:SetSize( 150, 20 );
	releaseQS:SetPosition( 64, 0 );
	releaseQS:SetAllowDrop(false);

	releaseQS = Turbine.UI.Lotro.Quickslot();
	releaseQS:SetParent(  releaseQSBack );
	releaseQS:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias, Strings.PluginReleaseAlias));
	releaseQS:SetSize( 150, 20 );
	releaseQS:SetPosition( 96, 0 );
	releaseQS:SetAllowDrop(false);

	releaseQS = Turbine.UI.Lotro.Quickslot();
	releaseQS:SetParent(  releaseQSBack );
	releaseQS:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias, Strings.PluginReleaseAlias));
	releaseQS:SetSize( 150, 20 );
	releaseQS:SetPosition( 112, 0 );
	releaseQS:SetAllowDrop(false);

end